Bug 167265 - drivers/addon/lpfc/lpfcdfc/Makefile change causing intermittent build failures
Summary: drivers/addon/lpfc/lpfcdfc/Makefile change causing intermittent build failures
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-09-01 01:17 UTC by Ernie Petrides
Modified: 2007-11-30 22:07 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-09-28 15:36:50 UTC


Attachments (Terms of Use)
lpfcdfc Makefile patch committed to U6 today (323 bytes, patch)
2005-09-02 19:32 UTC, Ernie Petrides
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Ernie Petrides 2005-09-01 01:17:49 UTC
Description of problem:

It seems that the RHEL3 U6 Emulex driver update included a change to
the Makefile in drivers/addon/lpfc/lpfcdfc (to share lpfc_logmsg.o
with the parent directory build) that leads to intermittent build
failures in Beehive.  This change was introduced in 2.4.21-32.12.EL.


Version-Release number of selected component (if applicable):

2.4.21-35.EL


How reproducible:

perform internal kernel builds in beehive


Steps to Reproduce:

n/a

  
Actual results:

The following error is found in the build log:

    lpfc_logmsg.o: file not recognized: File truncated
    make[3]: *** [lpfc.o] Error 1


Expected results:

successful build


Additional info:

n/a

Comment 1 Ernie Petrides 2005-09-01 01:21:20 UTC
I'm proposing that a fix for this be included in the final U6 respin.

Comment 2 Ernie Petrides 2005-09-02 19:29:31 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this afternoon (in kernel version 2.4.21-36.EL).


Comment 3 Ernie Petrides 2005-09-02 19:32:36 UTC
Created attachment 118405 [details]
lpfcdfc Makefile patch committed to U6 today

James, here's the patch that we applied to RHEL3 U6 today to fix this.

Comment 4 James Smart 2005-09-02 19:43:31 UTC
Ernie,

Looks fine. 

Thanks.

-- james

Comment 7 Red Hat Bugzilla 2005-09-28 15:36:51 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.